package com.chenyang.nse.bussiness.performance_monitor.entity;

public class PerformanceDashBoardSqlAvgBO {
   String exeSql;
   Integer startTimeMillis;
   Integer endTimeMillis;

   public String getExeSql() {
      return this.exeSql;
   }

   public Integer getStartTimeMillis() {
      return this.startTimeMillis;
   }

   public Integer getEndTimeMillis() {
      return this.endTimeMillis;
   }

   public void setExeSql(final String exeSql) {
      this.exeSql = exeSql;
   }

   public void setStartTimeMillis(final Integer startTimeMillis) {
      this.startTimeMillis = startTimeMillis;
   }

   public void setEndTimeMillis(final Integer endTimeMillis) {
      this.endTimeMillis = endTimeMillis;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof PerformanceDashBoardSqlAvgBO)) {
         return false;
      } else {
         PerformanceDashBoardSqlAvgBO other = (PerformanceDashBoardSqlAvgBO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$exeSql = this.getExeSql();
            Object other$exeSql = other.getExeSql();
            if (this$exeSql == null) {
               if (other$exeSql != null) {
                  return false;
               }
            } else if (!this$exeSql.equals(other$exeSql)) {
               return false;
            }

            Object this$startTimeMillis = this.getStartTimeMillis();
            Object other$startTimeMillis = other.getStartTimeMillis();
            if (this$startTimeMillis == null) {
               if (other$startTimeMillis != null) {
                  return false;
               }
            } else if (!this$startTimeMillis.equals(other$startTimeMillis)) {
               return false;
            }

            Object this$endTimeMillis = this.getEndTimeMillis();
            Object other$endTimeMillis = other.getEndTimeMillis();
            if (this$endTimeMillis == null) {
               if (other$endTimeMillis != null) {
                  return false;
               }
            } else if (!this$endTimeMillis.equals(other$endTimeMillis)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof PerformanceDashBoardSqlAvgBO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $exeSql = this.getExeSql();
      result = result * 59 + ($exeSql == null ? 43 : $exeSql.hashCode());
      Object $startTimeMillis = this.getStartTimeMillis();
      result = result * 59 + ($startTimeMillis == null ? 43 : $startTimeMillis.hashCode());
      Object $endTimeMillis = this.getEndTimeMillis();
      result = result * 59 + ($endTimeMillis == null ? 43 : $endTimeMillis.hashCode());
      return result;
   }

   public String toString() {
      return "PerformanceDashBoardSqlAvgBO(exeSql=" + this.getExeSql() + ", startTimeMillis=" + this.getStartTimeMillis() + ", endTimeMillis=" + this.getEndTimeMillis() + ")";
   }
}
